commit:     39744dd02e9b1b72ef0d3ce69c988027d3e8a410
Author:     Petr Vaněk <arkamar <AT> gentoo <DOT> org>
AuthorDate: Tue Sep 17 16:04:51 2024 +0000
Commit:     Petr Vaněk <arkamar <AT> gentoo <DOT> org>
CommitDate: Tue Sep 17 16:26:42 2024 +0000
URL:        https://gitweb.gentoo.org/repo/gentoo.git/commit/?id=39744dd0

net-im/synapse: add 1.115.0

Signed-off-by: Petr Vaněk <arkamar <AT> gentoo.org>

 net-im/synapse/Manifest               |   1 +
 net-im/synapse/synapse-1.115.0.ebuild | 244 ++++++++++++++++++++++++++++++++++
 2 files changed, 245 insertions(+)

diff --git a/net-im/synapse/Manifest b/net-im/synapse/Manifest
index fdac541a5ef9..81aa5af1bb89 100644
--- a/net-im/synapse/Manifest
+++ b/net-im/synapse/Manifest
@@ -71,6 +71,7 @@ DIST syn-2.0.61.crate 257199 BLAKE2B 
d2133732d9a7f16c47729be1b4c18c05ffdcb9cb139
 DIST synapse-1.112.0.gh.tar.gz 8644732 BLAKE2B 
b50d9313eee37efa87c8cbd197728462c3104b336136cd732c4eef3d17c1d71aaaac7f4dc28099755b67221ac9351e4238fa45fc01581d752eafddad6687e749
 SHA512 
dc09e37f6581dd2b25c2aaae53294df997e450bfc4c3496929f56d342d354a48f0bfaac2aee154f7e1f53e86f7d078844495290c0fbc6c91efea966f8f6d68ff
 DIST synapse-1.113.0.gh.tar.gz 8674102 BLAKE2B 
2ee2e400b0a759af9a4278cfb6028c8a355d842d8a4f02ba9946f2ff5caba95573c53f33bbbca029a092cfabadfd853d4caaef4e2ad8d218ab89722f3a59d00b
 SHA512 
190e14adb67ec39f63b21623b620fe60047ef49b2ea5515c17d3ff7d1cc990ddb26c4d7a35b65b61b28b5059ad6ff78a90cc3d49efc5b462f6a4240284ebf50f
 DIST synapse-1.114.0.gh.tar.gz 8697736 BLAKE2B 
984cab788fd88ffbb1919b4aad75df741267a1d8752d9fd95a68e7bae75b28993b325fff32d721661607c3d66761f2ba5768ad6f0636f65a23eb4fc9c9e5100e
 SHA512 
14e9abd441d1f67411d7087ca489a52343d7804ba8b575326ec52e128c0a3a0ba533b08ddaf3d31b49ac80d7b79a18e9ccdde581510c69c883d4284ddd4aed4b
+DIST synapse-1.115.0.gh.tar.gz 8750060 BLAKE2B 
6e5b50b43b690c74b63e1f13b886706f695301e12e4d2c47d6d21bc58919861413914237fe22e77b31c1aa6143df731a7a570063a704a5fd70264ad2902ecd14
 SHA512 
6ad41f8fa59de6ac13d4cb039d107f4bcce41bcdee51f2347645359baf89437665aad7a27981568c0b8d41732503f68a254414d42158fb65504ff465cbb10669
 DIST target-lexicon-0.12.14.crate 25508 BLAKE2B 
5ebb6b49e5c3b0057959557651287d4bf5ffe5b499340019ff64d5fc3b64e780e344982e358c94b1b25a20bf0f526a584aeecc704695b50a55cc268dd65edb97
 SHA512 
3410ecc0faf854f49c41c99f83972960e67065b1e0e78557a7c4996d996109bfd167d2121a019f5256f996c896cd45af032038ab7918fdcc6ee6311693ce951a
 DIST typenum-1.17.0.crate 42849 BLAKE2B 
a6d1162050679e2c4ab2467f3a77d301f6861882eb7c9749f31d047f383dd5bd2ed5846ad63eed99ccc04d6ac36cc697a305861e1d65880b4d2ef04ee0a79b94
 SHA512 
99773d5d9f850c0602db4bb67dd062b0ade6f086e155216f1bb2fb6569461ba7e1b7c2f2af81ea8833bc3bfcf3fe5033edecb7c438adae63f59d3e30cf63a508
 DIST ulid-1.1.3.crate 11596 BLAKE2B 
a079fc34f5af9de89469d1edd5a53c1bc1a0f9bff8ce731c185345fe4067432a121efc6a04ac6cf377fd03c89558067e7d5d52c4b9dfd23e7055ce5af89e84b3
 SHA512 
a8f6ab3601417e7a46a763bb28722c3770fb0c2dea340c02a8e96d2e3597a304589745c65278c90bbc64f5153501a2a85321386669fda71ad7252ec67dd749df

diff --git a/net-im/synapse/synapse-1.115.0.ebuild 
b/net-im/synapse/synapse-1.115.0.ebuild
new file mode 100644
index 000000000000..75b416527580
--- /dev/null
+++ b/net-im/synapse/synapse-1.115.0.ebuild
@@ -0,0 +1,244 @@
+# Copyright 2022-2024 Gentoo Authors
+# Distributed under the terms of the GNU General Public License v2
+
+EAPI=8
+
+DISTUTILS_EXT=1
+DISTUTILS_USE_PEP517=poetry
+PYTHON_COMPAT=( python3_{10..12} )
+
+CRATES="
+       aho-corasick@1.1.3
+       anyhow@1.0.86
+       arc-swap@1.7.1
+       autocfg@1.3.0
+       base64@0.21.7
+       bitflags@2.5.0
+       blake2@0.10.6
+       block-buffer@0.10.4
+       bumpalo@3.16.0
+       bytes@1.7.1
+       cfg-if@1.0.0
+       cpufeatures@0.2.12
+       crypto-common@0.1.6
+       digest@0.10.7
+       fnv@1.0.7
+       generic-array@0.14.7
+       getrandom@0.2.15
+       headers-core@0.3.0
+       headers@0.4.0
+       heck@0.4.1
+       hex@0.4.3
+       http@1.1.0
+       httpdate@1.0.3
+       indoc@2.0.5
+       itoa@1.0.11
+       js-sys@0.3.69
+       lazy_static@1.5.0
+       libc@0.2.154
+       lock_api@0.4.12
+       log@0.4.22
+       memchr@2.7.2
+       memoffset@0.9.1
+       mime@0.3.17
+       once_cell@1.19.0
+       parking_lot@0.12.2
+       parking_lot_core@0.9.10
+       portable-atomic@1.6.0
+       ppv-lite86@0.2.17
+       proc-macro2@1.0.82
+       pyo3-build-config@0.21.2
+       pyo3-ffi@0.21.2
+       pyo3-log@0.10.0
+       pyo3-macros-backend@0.21.2
+       pyo3-macros@0.21.2
+       pyo3@0.21.2
+       pythonize@0.21.1
+       quote@1.0.36
+       rand@0.8.5
+       rand_chacha@0.3.1
+       rand_core@0.6.4
+       redox_syscall@0.5.1
+       regex-automata@0.4.6
+       regex-syntax@0.8.3
+       regex@1.10.6
+       ryu@1.0.18
+       scopeguard@1.2.0
+       serde@1.0.209
+       serde_derive@1.0.209
+       serde_json@1.0.127
+       sha1@0.10.6
+       sha2@0.10.8
+       smallvec@1.13.2
+       subtle@2.5.0
+       syn@2.0.61
+       target-lexicon@0.12.14
+       typenum@1.17.0
+       ulid@1.1.3
+       unicode-ident@1.0.12
+       unindent@0.2.3
+       version_check@0.9.4
+       wasi@0.11.0+wasi-snapshot-preview1
+       wasm-bindgen-backend@0.2.92
+       wasm-bindgen-macro-support@0.2.92
+       wasm-bindgen-macro@0.2.92
+       wasm-bindgen-shared@0.2.92
+       wasm-bindgen@0.2.92
+       web-time@1.1.0
+       windows-targets@0.52.5
+       windows_aarch64_gnullvm@0.52.5
+       windows_aarch64_msvc@0.52.5
+       windows_i686_gnu@0.52.5
+       windows_i686_gnullvm@0.52.5
+       windows_i686_msvc@0.52.5
+       windows_x86_64_gnu@0.52.5
+       windows_x86_64_gnullvm@0.52.5
+       windows_x86_64_msvc@0.52.5
+"
+
+inherit cargo distutils-r1 multiprocessing optfeature systemd
+
+DESCRIPTION="Reference implementation of Matrix homeserver"
+HOMEPAGE="
+       https://matrix.org/
+       https://github.com/element-hq/synapse
+"
+SRC_URI="
+       https://github.com/element-hq/${PN}/archive/v${PV}.tar.gz
+               -> ${P}.gh.tar.gz
+       ${CARGO_CRATE_URIS}
+"
+
+LICENSE="AGPL-3+"
+# Dependent crate licenses
+LICENSE+="
+       Apache-2.0-with-LLVM-exceptions BSD MIT Unicode-DFS-2016
+       || ( Apache-2.0 Boost-1.0 )
+"
+SLOT="0"
+KEYWORDS="~amd64 ~arm64 ~ppc64"
+IUSE="postgres systemd test"
+RESTRICT="!test? ( test )"
+
+DEPEND="
+       acct-user/synapse
+       acct-group/synapse
+"
+# The dev-python/twisted-24.3.0_p20240628 snapshot available in our tree
+# introduces some breaking changes for synapse,
+# see https://github.com/element-hq/synapse/issues/17075
+RDEPEND="
+       ${DEPEND}
+       dev-python/attrs[${PYTHON_USEDEP}]
+       dev-python/bcrypt[${PYTHON_USEDEP}]
+       dev-python/bleach[${PYTHON_USEDEP}]
+       >=dev-python/canonicaljson-2[${PYTHON_USEDEP}]
+       dev-python/cryptography[${PYTHON_USEDEP}]
+       dev-python/ijson[${PYTHON_USEDEP}]
+       dev-python/immutabledict[${PYTHON_USEDEP}]
+       >=dev-python/jinja-3.0[${PYTHON_USEDEP}]
+       dev-python/jsonschema[${PYTHON_USEDEP}]
+       >=dev-python/matrix-common-1.3.0[${PYTHON_USEDEP}]
+       dev-python/msgpack[${PYTHON_USEDEP}]
+       dev-python/netaddr[${PYTHON_USEDEP}]
+       dev-python/packaging[${PYTHON_USEDEP}]
+       dev-python/phonenumbers[${PYTHON_USEDEP}]
+       >=dev-python/pillow-10.0.1[${PYTHON_USEDEP},webp]
+       dev-python/prometheus-client[${PYTHON_USEDEP}]
+       dev-python/pyasn1-modules[${PYTHON_USEDEP}]
+       dev-python/pyasn1[${PYTHON_USEDEP}]
+       dev-python/pydantic[${PYTHON_USEDEP}]
+       dev-python/pymacaroons[${PYTHON_USEDEP}]
+       dev-python/pyopenssl[${PYTHON_USEDEP}]
+       dev-python/python-multipart[${PYTHON_USEDEP}]
+       dev-python/pyyaml[${PYTHON_USEDEP}]
+       dev-python/service-identity[${PYTHON_USEDEP}]
+       dev-python/signedjson[${PYTHON_USEDEP}]
+       dev-python/sortedcontainers[${PYTHON_USEDEP}]
+       dev-python/treq[${PYTHON_USEDEP}]
+       dev-python/twisted[${PYTHON_USEDEP}]
+       dev-python/typing-extensions[${PYTHON_USEDEP}]
+       dev-python/unpaddedbase64[${PYTHON_USEDEP}]
+       postgres? ( dev-python/psycopg:2[${PYTHON_USEDEP}] )
+       systemd? ( dev-python/python-systemd[${PYTHON_USEDEP}] )
+"
+BDEPEND="
+       dev-python/setuptools-rust[${PYTHON_USEDEP}]
+       test? (
+               dev-python/hiredis[${PYTHON_USEDEP}]
+               dev-python/idna[${PYTHON_USEDEP}]
+               dev-python/parameterized[${PYTHON_USEDEP}]
+               dev-python/pyicu[${PYTHON_USEDEP}]
+               dev-python/txredisapi[${PYTHON_USEDEP}]
+               postgres? ( dev-db/postgresql[server] )
+       )
+"
+
+# Rust extension
+QA_FLAGS_IGNORED="usr/lib/python3.*/site-packages/synapse/synapse_rust.abi3.so"
+
+src_test() {
+       if use postgres; then
+               einfo "Preparing postgres test instance"
+               initdb --pgdata="${T}/pgsql" || die
+               pg_ctl --wait --pgdata="${T}/pgsql" start \
+                       --options="-h '' -k '${T}'" || die
+               createdb --host="${T}" synapse_test || die
+
+               # See 
https://matrix-org.github.io/synapse/latest/development/contributing_guide.html#running-tests-under-postgresql
+               local -x SYNAPSE_POSTGRES=1
+               local -x SYNAPSE_POSTGRES_HOST="${T}"
+       fi
+
+       # This remove is necessary otherwise python is not able to locate
+       # synapse_rust.abi3.so.
+       rm -rf synapse || die
+
+       nonfatal distutils-r1_src_test
+       local ret=${?}
+
+       if use postgres; then
+               einfo "Stopping postgres test instance"
+               pg_ctl --wait --pgdata="${T}/pgsql" stop || die
+       fi
+
+       [[ ${ret} -ne 0 ]] && die
+}
+
+python_test() {
+       "${EPYTHON}" -m twisted.trial -j "$(makeopts_jobs)" tests
+}
+
+src_install() {
+       distutils-r1_src_install
+       keepdir /var/{lib,log}/synapse /etc/synapse
+       fowners synapse:synapse /var/{lib,log}/synapse /etc/synapse
+       fperms 0750 /var/{lib,log}/synapse /etc/synapse
+       newinitd "${FILESDIR}/${PN}.initd-r1" "${PN}"
+       systemd_dounit "${FILESDIR}/synapse.service"
+}
+
+pkg_postinst() {
+       optfeature "Improve user search for international display names" 
dev-python/pyicu
+       optfeature "Redis support" dev-python/txredisapi
+       optfeature "VoIP relaying on your homeserver with turn" net-im/coturn
+
+       if [[ -z "${REPLACING_VERSIONS}" ]]; then
+               einfo
+               elog "In order to generate initial configuration run:"
+               elog "sudo -u synapse synapse_homeserver \\"
+               elog "    --server-name matrix.domain.tld \\"
+               elog "    --config-path /etc/synapse/homeserver.yaml \\"
+               elog "    --generate-config \\"
+               elog "    --data-directory /var/lib/synapse \\"
+               elog "    --report-stats=no"
+               einfo
+       else
+               einfo
+               elog "Please refer to upgrade notes if any special steps are 
required"
+               elog "to upgrade from the version you currently have installed:"
+               elog
+               elog "  
https://github.com/element-hq/synapse/blob/develop/docs/upgrade.md";
+               einfo
+       fi
+}

Reply via email to